/*----- product details slider start ----*/
.pro-large-img {
    position: relative;
    padding: 1px;
    img {
        width: 100%;
        border: 1px solid #ededed;
    }
}
.pro-nav-thumb {
    cursor: pointer;
    img {
        border: 1px solid #ededed;
    } 
}
/*----- product details slider end ----*/


/*----- product details content start ----*/
.product-details-des{
    h3 {
        color: $black-soft;
        font-size: 24px;
        font-weight: 700;
        line-height: 26px;
        margin-top: -2px;
        padding-bottom: 10px;
        text-transform: capitalize;
        // responsive
        @media #{$small-mobile} {
            font-size: 20px;
        }
    }
    h6 {
        font-size: 14px;
        font-weight: 400;
        line-height: 16px;
        padding: 10px 0;
        text-transform: capitalize;
        @media #{$large-mobile} {
            padding: 0;
        }
        a {
            color: $black-soft;
            &:hover {
                color: $theme-color;
            }
        }
    }
    .pricebox {
        padding-top: 10px;
        .regular-price{
            font-size: 22px;
            font-weight: 700;
            line-height: 24px;
            color: $black-soft;
            // responsive
            @media #{$small-mobile} {
                font-size: 18px;
            }
        }
    }
    p {
        padding-top: 15px;
        padding-bottom: 20px;
    }

    // customer review
    .pro-review {
        a {
            color: $theme-color;
            font-size: 13px;
            text-transform: capitalize;
        }
    }

    // Quantity Colors
    .quantity {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        margin-right: 15px;
        & h5 {
            color: $black-soft;
            font-size: 14px;
            font-weight: 600;
            line-height: 25px;
            margin-right: 10px;
            margin-bottom: 0;
            @media #{$extra-small-mobile} {
                margin-right: 10px;
            }
        }
        & .pro-qty{
            width: 90px;
            height: 46px;
            border: 1px solid #ddd;
            padding: 0 15px;
            float: left;
            & .qtybtn {
                width: 15px;
                display: block;
                float: left;
                line-height: 46px;
                cursor: pointer;
                text-align: center;
                font-size: 22px;
                color: $paragraph;
            }
            & input {
                width: 28px;
                float: left;
                border: none;
                height: 46px;
                padding: 0;
                text-align: center;
                background-color: transparent;
            }
        }
    } 

    // Availability
    .availability {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        & h5 {
            color: $black-soft;
            font-size: 18px;
            font-weight: 600;
            line-height: 25px;
            margin-bottom: 0;
            margin-right: 10px;
            text-transform: capitalize;
        }
        & span {
            color: #22dd77;
            font-size: 14px;
            padding-left: 3px;
            text-transform: capitalize;
        }
    }

    // tag
    .tag-line {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        & h5 {
            color: $black-soft;
            font-size: 14px;
            font-weight: 500;
            line-height: 25px;
            margin-bottom: 0;
            margin-right: 20px;
            @media #{$extra-small-mobile} {
                margin-right: 10px;
            }
        }
        a {
            color: $paragraph;
            font-size: 14px;
            margin-right: 10px;
            &:hover {
                color: $theme-color;
            }
        }
    }

    // share icon
    .share-icon {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        & h5 {
            color: $black-soft;
            font-size: 18px;
            font-weight: 600;
            line-height: 25px;
            margin-bottom: 0;
            margin-right: 10px;
            text-transform: capitalize;
        }
        a {
            width: 40px;
            height: 40px;
            color: $paragraph;
            text-align: center;
            display: inline-block;
            font-size: 16px;
            line-height: 44px;
            padding: 0 8px;
            margin-right: 6px;
            border: 1px solid $bdr-color;
            @include border-radius(50%);
            &:hover {
                color: $white;
                border-color: $theme-color;
                background-color: $theme-color;
            }
        }
    }
    // color option
    .color-option {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        & h5 {
            color: $black-soft;
            font-size: 18px;
            font-weight: 600;
            line-height: 25px;
            margin-bottom: 5px;
            margin-right: 10px;
            text-transform: capitalize;
        }
        li {
            display: inline-block;
            margin-right: 5px;
            padding: 2px;
            border: 1px solid #ccc;
            a {
                height: 30px;
                width: 30px;
                display: block;
            }
        }
    }
    // size
    .pro-size {
        display: flex;
        align-items: center;
        & h5 {
            color: $black-soft;
            font-size: 18px;
            font-weight: 600;
            line-height: 25px;
            margin-bottom: 0;
            margin-right: 10px;
            text-transform: capitalize;
        }
        .nice-select {
            width: 100px;
            height: 46px;
            line-height: 48px;
        }
    }
    // group quantity
    .group-product-table {
        display: block;
        &.table-bordered {
            border: none;
        }
        td {
            width: 33.33%;
            padding: 8px;
            vertical-align: middle;
            a {
                color: $paragraph;
                text-transform: capitalize;
                &:hover {
                    color: $theme-color;
                }
            }
            .pro-qty{
                width: 90px;
                height: 36px;
                border: 1px solid #ddd;
                padding: 0 15px;
                float: left;
                & .qtybtn {
                    width: 15px;
                    display: block;
                    float: left;
                    line-height: 36px;
                    cursor: pointer;
                    text-align: center;
                    font-size: 15px;
                    font-weight: 700;
                    color: $paragraph;
                }
                & input {
                    width: 28px;
                    float: left;
                    border: none;
                    height: 36px;
                    line-height: 36px;
                    padding: 0;
                    text-align: center;
                    background-color: transparent;
                }
            }
        }
    }
}




/*----- product details content end ----*/

/*----- reviews area start -----*/
.product-review-info {
    .nav {
        &.review-tab {
            li {
                a {
                    color: $white;
                    display: block;
                    font-size: 15px;
                    font-weight: 700;
                    line-height: 18px;
                    text-transform: uppercase;
                    padding: 8px 10px;
                    border: 1px solid #ededed;
                    border-bottom: none;
                    background-color: #979898;
                    &:hover,
                    &.active {
                        color: $paragraph;
                        background-color: $white;
                    }
                    // responsive
                    @media #{$extra-small-mobile} {
                        font-size: 12px;
                        padding: 8px 9px;
                    }
                }
            }
        }
    }
    .tab-content {
        &.reviews-tab {
            border: 1px solid #ededed;
            padding: 15px 20px 20px;
            .table {
                margin-bottom: 0;
                tr {
                    text-transform: capitalize;
                }
            }
            p {
                color: $paragraph;
                font-size: 14px;
                line-height: 26px;
            }
        }
        .review-description {
            padding-top: 25px;
            padding-bottom: 25px;
            @include flexbox;
            @include align-items(center);
            // responsive
            @media #{$tablet-device} {
                padding: 15px 0;
            }
            @media #{$large-mobile} {
                padding: 12px 0;
            }
            @media #{$large-mobile} {
                display: block;
            }
            .tab-thumb {
                @include flex-basis(300px);
                // responsive
                @media #{$large-mobile} {
                    @include flex-basis(220px);
                }
            }
            .tab-des {
                padding-left: 40px;
                @include flex-basis(calc(100% - 300px));
                // responsive
                @media #{$large-mobile} {
                    padding-left: 20px;
                    @include flex-basis(calc(100% - 220px));
                }
                h3 {
                    color: $theme-color;
                    font-size: 20px;
                    font-weight: 22px;
                    font-weight: 700;
                    text-transform: capitalize;
                    padding-bottom: 10px;
                }
                ul {
                    li {
                        font-size: 14px;
                        padding: 3px 0;
                        list-style: inherit;
                    }
                }
            }
        }
    }
}
.review-form {
    h5 {
        font-size: 18px;
        font-weight: 500;
        padding-bottom: 20px;
        text-transform: capitalize;
        span {
            color: $theme-color;
        }
        // responsive
        @media #{$small-mobile} {
            font-size: 16px;
        }
    }
}
.total-reviews {
    @include flexbox;
    padding-bottom: 50px;
    .rev-avatar {
        @include flex-basis(60px);
        max-height: 60px;
    }
    .review-box {
        margin-left: 10px;
        border: 1px solid $bdr-color;
        padding: 10px;
        @include flex-basis(calc(100% - 70px));
        .post-author {
            padding-bottom: 10px;
            p {
                font-size: 12px;
                font-style: italic;
                text-transform: capitalize;
                span {
                    font-size: 13px;
                }
            }
        }
        p {
            font-size: 13px;
            font-style: italic;
        }
    }
}
/*----- reviews area end -----*/

// product details vertical slider css
.vertical-slider {
    display: flex;
    flex-wrap: wrap;
    .vertical-first {
        flex-basis: 80%; 
        max-width: 80%;
        .pro-large-img {
            img {
                max-width: 96%;
                @media #{$large-mobile} {
                    max-width: 100%;
                }
            }
        }
    }
    .vertical-second {
        max-width: 20%;
        flex-basis: 20%;
    }
}

// product details slider box
.slider-box-center {
    align-items: center;
    display: flex;
    flex-flow: column nowrap;
    p {
        max-width: 70%;
        @media #{$large-mobile} {
            max-width: 95%;
        }
    }
} 
